AutoCAD Inventor :: 2013 Offset Sketch Entity
Oct 24, 2012In 2013 SP1.1 we are noticing that when using offset in a sketch, the offset line/curve is invisible and cant be seen until a zoom is done, then it appears.
View 1 RepliesIn 2013 SP1.1 we are noticing that when using offset in a sketch, the offset line/curve is invisible and cant be seen until a zoom is done, then it appears.
View 1 RepliesI was trying to query some sketch points data from a profile Path using code as below. However the program stopped without telling the reason.
Code below:
i = 0;
foreach (ProfileEntity oSourceProfileEntity in oProfilePath) { switch (oProfilePath[i].SketchEntity.Type) { case ObjectTypeEnum.kSketchArcObject: { SketchArc srcSkArc = default(SketchArc); srcSkArc = (SketchArc) oSourceProfileEntity.SketchEntity; // error points[i] = srcSkArc.StartSketchPoint.Geometry; break; } default: { SketchLine srcSkLine = default(SketchLine); srcSkLine =(SketchLine) oProfilePath[i].SketchEntity; // error points[i] = srcSkLine.StartSketchPoint.Geometry; break; } } i++; }
Is there any way to export a sketch to DXF and control the target layer of sketch entities?
Solid Lines go to Layer=0
Construction Lines go to Layer=Construction
Center Lines go to Layer=Center
I am currently using
Sketch.DataIO.WriteDataToFile("DXF", strDXFOutputFile)
which send everything to layer=0
Is it possible to offset this 3D sketch1, it must still follow the curvature.
View 9 Replies View RelatedInventor 2011 will not offset polygon in sketch mode. I get "Method not supported for transient meta" error message.
View 9 Replies View RelatedI edited a sketch for an emboss to move the number over. But the resulting emboss still acts like I din not make the edit.
Inventor Suite 2013 Ultimate
I know why you cant loop select and offset the rectangle but surley if you are going to take the time to listen to users and create requested tools, you should do it well?
View 4 Replies View RelatedI would like to be able to offset a 3D Sketch in a direction normal to a plane. In the attached image, I have drawn in an orange color the direction I would like the 3DSketch to offset.The white line is where the new sketch would be.
The yellow surface is the 3dsketch extend to a plane
There might be some tools in Inventor that will do what I am trying, but I have not found it yet. I have tried extend surface, but that will not take it the direction I want.
want to change sketch 2013 into the sketch of 2010
View 1 Replies View RelatedI am a beginner when a extrude a feature and select a part surface for new sketch now i want is to offset that surface but i can,t there is + sign with mouse icon and something like fully constrained is written in down the window.
View 9 Replies View RelatedI am trying to extend a line in my sketch, but everytime I select it an error message comes up saying "the curve being extended" What curve is inventor refering to?
would not allow me to add a .doc file for veiwing
When I use the import excel points function in the 2D sketch menu of Inventor 2013, nothing happens when I open the excel file. No points are drawn in the sketch... I don't even get an error message... I have tried the same thing on another computer with the exact same spreadsheet and it works 100%.
I'm running Inventor 2013 service pack 2 on a Lenovo Y570 with an Nvidia GeForce GT555M GFX card
Tried to do something that all other 3D softwares seem to have no problem with, even inventor at least when we were using the old versions.
Editting sketch - close sketch. No model update.
This is an existing 3D model created with inv2011. inv2013 does not like much of what we created in the old releases of inv.
Sketch gives me 1 dimension. Part and drawing give the old dimension value.
This is yet another major sign of unstable software. Over 24 software issues discovered from changing inv2011 to inv2013.
I'm doing a fairly big one-off for use at our factory so am going the multibody ipt route. I have a design view setup within the ipt with nearly all solids switched off but when working within a sketch this seems to be ignored. I want to make sure I am projecting from sketches not bodies so if I need to tweak things later and bodies change the model won't fail.
I.e. the bodies all become visible when working in a sketch where as before going into the sketch the bodies weren't showing.
IV2014 SP1 64bit
Dell Precision T7500, Geforce GTX 480, DirectX11 306.97
SpaceExplorer 4.04, 3DxWare 3.12.2
Twin Intel Xeon E5506 2.13GHz, 12GB RAM, Win7 Pro SP1 64bit
I opened Inventor 2013 this morning to find this issue. Everything starts fine, I am able to open/create a part file and enter sketch mode, but as soon as I click a draw operation (spline, line, rectangle, etc.) it freezes on me. I have been using 2013 for a couple months now without issue, and cannot associate this with a change of anything on my computer.I have tried:
1) Restarting computer
2) Reducing graphics display quality to Rough
3) Checking "Software Graphics"
4) Calibrate my 3Dconnexion mouse
5) The diagnostic check for graphics card (approved)
I would like to add additional entities to the selection if any of the selected entities contains a an xdata value.
If I put the condition into the ImpliedSelectionChanged reactor I imagine will probably loop back on itself.
Does any video showing sub entity selection with use of control key?
I can not seem to get it to work.....so I don't know if I am doing it wrong, or if I have somehow disabled the feature....
Perhaps there is a link out there showing it working?
I have a set of notes for a given jurisdiction that I need to show on mumltiple layout tabs within the same file. However, the notes need to change their width, number of columns, height, etc. for each layout tab to work with viewports and other drawing elements within each tab. My question is this- is there way using fields, blocks, rtext, something that will allow me to create one master copy of the note and basically have instances of the note on those other tabs that I can adjust the wrapping, height, columns etc.? I could just create a bunck of copies of the same note, but then if we get a comment from an AHJ about the notes, we need to make sure the comment is addressed in each instance of the note instead of just one master note. Is there way to do what Im asking, or is the technology just not there yet?
View 8 Replies View RelatedI've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013
View 2 Replies View RelatedHow do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?
I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations. Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.
I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist. I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.
I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way. I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option. I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.
First we imported an ".igs" file to inventor, which produced "wires". Then by promoting the wires it produced a 3-d sketch.
The model is in one plane and 2-D, and we are trying to use Ansys 2-D analysis, but in-order to do so it needs to be in a 2-D sketch.
The model is too large to be redrawn on a 2-D plane, how to convert it to a 2-D sketch
When I edit certain sketched some other sketches disappear. see attached.
This is causing modelling to slow down as I can not project lines from the sketch that has disappeared.
After I create a adaptive part from projected sketch. How to modify the sketch? Please see the part attached.
View 6 Replies View Relatedwhat is the difference between a sketch and a planar sketch?
View 2 Replies View RelatedI'm having trouble with constaints, I'd like to constrain my sketch to a point in another sketch on a different plane. Is this posible in Inventor? If so how? If Inventor works differently how would you get a points in one sketch to be linked to points another?
View 2 Replies View RelatedI have a polyline that meets itself back at the beginning. It should be closed and appears to be. I joined several lines to get the polyline. When I try to offset it I can only offset towards the inside and not the outside. Is there a reason for this or am I doing something wrong?
View 9 Replies View RelatedI am trying to find a routine that will allow me to offset an arc by a distance and to a scale.
The offest command is very limited as to how far I am able to offset without the boject completely vanishing.
I am trying to make a flat pattern from a cone or something close to it. The routines and programs that I have found do not quite accomplish this very accuratll. They are always off on the upper and lower arcs and on the distance between the arcs. Tho this would not completely sovle my problem, it would allow me to get the distance between the top and bottom correct.
What is the command to offset a polyline in all dimension as shown in the attached?
Infrastructure Design Suite Premium 2014
Self-built i7-3930K, 16Gb RAM, P9X79 m/board
SSD(system), HDD(data), Win7Pro64, Quadro K4000
want to upated attributes in proxy entity is this possible?
View 1 Replies View RelatedI'm borrowing from the samples library in the Inventor:
Public Sub GetSingleSelection()
' Get a feature selection from the user
Dim oObject As Object
Set oObject = ThisApplication.CommandManager.Pick(kPartFeatureFilter, "Pick a feature")
MsgBox "Picked: " & oObject.Name
End Sub
Works fine, and is fairly simple, but the problem I'm having is if I press the escape key after starting the command, but before making my selection, I'm not able to start the command again.
I realize from my searching that using the Selection (Simple) sample allows for an interrupt, with some modification, was just wondering if there was something similar for this simpler selection option.
I am new to Inventor API, but have some experiences in SolidWorks API.
How can I select an entity at a given spacial point (x, y, z)? For example, I want to select a face or edge that is on a given (x, y, z) point. I can not find such an API, except for interactive selections.